# SOFTWARE MANUALS

## Core

* [nodeos:](/software_manuals/core/nodeos.md) The core service daemon that runs on every CyberWay node
* [cleos:](/software_manuals/core/cleos.md) A command line interface to interact with the blockchain and manage wallets
* [keosd:](/software_manuals/core/keosd.md) A key manager service daemon for storing private keys and signing digital messages
* [cyberway.cdt:](https://doxygen-cdt.cyberway.io) Contract Development Toolkit is a suite of tools used to build contracts

## How To Guides

* [How To Ban An Unwanted Account](/software_manuals/how_to_guides/ban_account.md)
* [How To Calculate Reward For An Author](/software_manuals/how_to_guides/calculate_reward_for_author.md)
* [How To Calculate Reward For A Beneficiary](/software_manuals/how_to_guides/calculate_reward_for_beneficiary.md)
* [How To Calculate Reward For A Curator](/software_manuals/how_to_guides/calculate_reward_for_curator.md)
* [How To Create A Wallet](/software_manuals/how_to_guides/create_wallet.md)
* [How To Create An Account](/software_manuals/how_to_guides/create_account.md)
* [How To Create A Proxy Account](/software_manuals/how_to_guides/create_proxy_account.md)
* [How To Create Key Pair](/software_manuals/how_to_guides/create_key_pair.md)
* [How To Delegate Resources](/software_manuals/how_to_guides/delegate_resources.md)
* [How To Deploy A Node Using A Snapshot](/software_manuals/how_to_guides/deploy_node_using_snapshot.md)
* [How To Deploy A Smart Contract](/software_manuals/how_to_guides/deploy_smart_contract.md)
* [How To Get Account Information](/software_manuals/how_to_guides/get_account_information.md)
* [How To Get Block Information](/software_manuals/how_to_guides/get_block_information.md)
* [How To Get Transaction Information](/software_manuals/how_to_guides/get_transaction_information.md)
* [How To Import A Key](/software_manuals/how_to_guides/import_key.md)
* [How To Link Permission](/software_manuals/how_to_guides/link_permission.md)
* [How To List All Key Pair](/software_manuals/how_to_guides/list_all_key_pair.md)
* [How To Stake Tokens](/software_manuals/how_to_guides/stake_tokens.md)
* [How To Stop A Node Using Docker](/software_manuals/how_to_guides/stop_node_using_docker.md)
* [How To Submit A Proposal For HardFork](/software_manuals/how_to_guides/submit_proposal_for_hardfork.md)
* [How To Transfer Tokens To A Worker](/software_manuals/how_to_guides/transfer_tokens_to_worker.md)
* [How To Undelegate Resources](/software_manuals/how_to_guides/undelegate_resources.md)
* [How To Unlink Permission](/software_manuals/how_to_guides/unlink_permission.md)
* [How To Unstake Tokens](/software_manuals/how_to_guides/unstake_tokens.md)
* [How To Vote](/software_manuals/how_to_guides/vote.md)

## API Reference

* [Nodeos Chain API](/software_manuals/api_reference/nodeos_chain_api.md)
* [Nodeos Producer API](/software_manuals/api_reference/nodeos_producer_api.md)
* [Nodeos Net API](/software_manuals/api_reference/nodeos_net_api.md)

## Cleos Command Reference

* [Convert](/software_manuals/command_reference/convert.md)
* [Create](/software_manuals/command_reference/create.md)
* [Get](/software_manuals/command_reference/get.md)
* [Multisig](/software_manuals/command_reference/multisig.md)
* [Net](/software_manuals/command_reference/net.md)
* [Push](/software_manuals/command_reference/push.md)
* [Set](/software_manuals/command_reference/set.md)
* [Sign](/software_manuals/command_reference/sign.md)
* [System](/software_manuals/command_reference/system.md)
* [Transfer](/software_manuals/command_reference/transfer.md)
* [Version](/software_manuals/command_reference/version.md)
* [Wallet](/software_manuals/command_reference/wallet.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/software_manuals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
